# Uses of Class
javax.swing.text.html.parser.Element

Packages that use Element
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of Element in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser declared as Element
Modifier and Type
Field
Description
`final Element`
DTD.`applet`
The element corresponding to applet.
`final Element`
DTD.`base`
The element corresponding to base.
`final Element`
DTD.`body`
The element corresponding to body.
`final Element`
DTD.`head`
The element corresponding to head.
`final Element`
DTD.`html`
The element corresponding to html.
`final Element`
DTD.`isindex`
The element corresponding to isindex.
`final Element`
DTD.`meta`
The element corresponding to meta.
`final Element`
DTD.`p`
The element corresponding to p.
`final Element`
DTD.`param`
The element corresponding to param.
`final Element`
DTD.`pcdata`
The element corresponding to pcdata.
`final Element`
DTD.`title`
The element corresponding to title.
Fields in javax.swing.text.html.parser with type parameters of type Element
Modifier and Type
Field
Description
`Hashtable<String,Element>`
DTD.`elementHash`
The hash table contains the name of element and the corresponding element.
`Vector<Element>`
DTD.`elements`
The vector of elements
Methods in javax.swing.text.html.parser that return Element
Modifier and Type
Method
Description
`protected Element`
DTD.`defElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, String[] exclusions, String[] inclusions, AttributeList atts)`
Creates and returns an `Element`.
`Element`
DTD.`defineElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, BitSet exclusions, BitSet inclusions, AttributeList atts)`
Returns the `Element` which matches the specified parameters.
`Element`
ContentModel.`first()`
Return the element that must be next.
`Element`
DTD.`getElement(int index)`
Gets an element by index.
`Element`
DTD.`getElement(String name)`
Gets an element by name.
`Element`
TagElement.`getElement()`
Returns the element.
Methods in javax.swing.text.html.parser with parameters of type Element
Modifier and Type
Method
Description
`protected TagElement`
Parser.`makeTag(Element elem)`
Makes a TagElement.
`protected TagElement`
Parser.`makeTag(Element elem, boolean fictional)`
Makes a TagElement.
`protected void`
Parser.`markFirstTime(Element elem)`
Marks the first time a tag has been seen in a document
Method parameters in javax.swing.text.html.parser with type arguments of type Element
Modifier and Type
Method
Description
`void`
ContentModel.`getElements(Vector<Element> elemVec)`
Update elemVec with the list of elements that are part of the this contentModel.
Constructors in javax.swing.text.html.parser with parameters of type Element
Modifier
Constructor
Description
``
`ContentModel(Element content)`
Create a content model for an element.
``
`TagElement(Element elem)`
Creates a generic HTML TagElement class with `fictional` equals to `false`.
``
`TagElement(Element elem, boolean fictional)`
Creates a generic HTML TagElement class.